Skip to main content
POST
/
filesystem.Filesystem
/
GetWatcherEvents
GetWatcherEvents
curl --request POST \
  --url https://{port}-{sandboxID}.e2b.app/filesystem.Filesystem/GetWatcherEvents \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Token: <api-key>' \
  --data '
{
  "watcherId": "<string>"
}
'
{
  "events": [
    {
      "name": "<string>",
      "type": "EVENT_TYPE_UNSPECIFIED"
    }
  ]
}

Authorizations

X-Access-Token
string
header
required

Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
watcherId
string

Response

Success

events
FilesystemEvent · object[]